#version 330 core
out vec4 FragColor;

in vec3 TexCoords;

uniform samplerCube skybox;
uniform float userDefinedBrightness;

void main()
{
    FragColor = texture(skybox, TexCoords);
    FragColor.rgb+=vec3(userDefinedBrightness*2,userDefinedBrightness*2,userDefinedBrightness*2);
}
